Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2906133004: JavaScript dialogs cause a page to lose fullscreen. (Closed)

Created:
1 year, 9 months ago by Avi (use Gerrit)
Modified:
1 year, 9 months ago
Reviewers:
Lei Zhang, Matt Giuca
CC:
chromium-reviews, meacer
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

If JavaScript shows a dialog, cause the page to lose fullscreen. BUG=670135, 550017, 726761, 728276 Review-Url: https://codereview.chromium.org/2906133004 Cr-Commit-Position: refs/heads/master@{#478884} Committed: https://chromium.googlesource.com/chromium/src/+/0720b02e4f303ea6b114d4ae9453e3a7ff55f8dc

Patch Set 1 #

Patch Set 2 : beforeunload too #

Total comments: 2

Patch Set 3 : rev #

Patch Set 4 : with a test #

Total comments: 15

Patch Set 5 : matt #

Unified diffs Side-by-side diffs Delta from patch set Stats (+107 lines, -7 lines) Patch
M chrome/browser/printing/print_job_worker.cc View 1 2 3 4 2 chunks +10 lines, -4 lines 0 comments Download
M chrome/browser/printing/print_view_manager.cc View 1 2 3 4 1 chunk +5 lines, -0 lines 0 comments Download
M content/browser/web_contents/web_contents_impl.h View 1 2 3 3 chunks +5 lines, -1 line 0 comments Download
M content/browser/web_contents/web_contents_impl.cc View 1 2 3 4 2 chunks +10 lines, -0 lines 0 comments Download
M content/browser/web_contents/web_contents_impl_browsertest.cc View 1 2 3 4 5 chunks +74 lines, -2 lines 0 comments Download
M content/public/browser/web_contents.h View 1 2 1 chunk +3 lines, -0 lines 0 comments Download

Messages

Total messages: 38 (29 generated)
meacer
https://codereview.chromium.org/2906133004/diff/20001/chrome/browser/ui/javascript_dialogs/javascript_dialog_tab_helper.cc File chrome/browser/ui/javascript_dialogs/javascript_dialog_tab_helper.cc (right): https://codereview.chromium.org/2906133004/diff/20001/chrome/browser/ui/javascript_dialogs/javascript_dialog_tab_helper.cc#newcode139 chrome/browser/ui/javascript_dialogs/javascript_dialog_tab_helper.cc:139: parent_web_contents); Drive by: Does this exit window-fullscreen (as opposed ...
1 year, 9 months ago (2017-06-01 22:26:02 UTC) #8
Avi (use Gerrit)
https://codereview.chromium.org/2906133004/diff/20001/chrome/browser/ui/javascript_dialogs/javascript_dialog_tab_helper.cc File chrome/browser/ui/javascript_dialogs/javascript_dialog_tab_helper.cc (right): https://codereview.chromium.org/2906133004/diff/20001/chrome/browser/ui/javascript_dialogs/javascript_dialog_tab_helper.cc#newcode139 chrome/browser/ui/javascript_dialogs/javascript_dialog_tab_helper.cc:139: parent_web_contents); On 2017/06/01 22:26:01, meacer wrote: > Drive by: ...
1 year, 9 months ago (2017-06-01 22:49:33 UTC) #9
Avi (use Gerrit)
Matt, fullscreen. Lei, printing.
1 year, 9 months ago (2017-06-09 03:45:21 UTC) #24
Lei Zhang
Printing bits lgtm.
1 year, 9 months ago (2017-06-09 04:25:34 UTC) #25
Matt Giuca
https://codereview.chromium.org/2906133004/diff/60001/content/browser/web_contents/web_contents_impl.cc File content/browser/web_contents/web_contents_impl.cc (right): https://codereview.chromium.org/2906133004/diff/60001/content/browser/web_contents/web_contents_impl.cc#newcode4431 content/browser/web_contents/web_contents_impl.cc:4431: ExitFullscreen(false); I think this should be true... documentation says ...
1 year, 9 months ago (2017-06-09 06:16:37 UTC) #26
Avi (use Gerrit)
In case I can catch you, Matt, before I disappear for a week. https://codereview.chromium.org/2906133004/diff/60001/content/browser/web_contents/web_contents_impl.cc File ...
1 year, 9 months ago (2017-06-09 14:36:23 UTC) #29
Matt Giuca
lgtm Since you're away, I'm gonna be bold and land this for you. Hope you're ...
1 year, 9 months ago (2017-06-13 01:53:39 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2906133004/80001
1 year, 9 months ago (2017-06-13 01:54:15 UTC) #35
commit-bot: I haz the power
1 year, 9 months ago (2017-06-13 03:22:31 UTC) #38
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/0720b02e4f303ea6b114d4ae9453...

Powered by Google App Engine
This is Rietveld 408576698